using Microsoft.Extensions.Hosting;

namespace Femto.Modules.Blog.Application;

public class BlogApplication(IHost host) : BackgroundService
{
    protected override async Task ExecuteAsync(CancellationToken stoppingToken)
    {
        try
        {
            await host.RunAsync(stoppingToken);
        }
        catch (TaskCanceledException)
        {
            //ignore
        }
    }
}